Jump to content

draw multiple lines to a central origin location


tive29

Recommended Posts

  • Replies 25
  • Created
  • Last Reply

Top Posters In This Topic

  • tive29

    11

  • Tharwat

    8

  • marko_ribar

    2

  • guran

    1

Top Posters In This Topic

Posted Images

Just me I would go other way around pick base pt first, then within a while pick point and draw line no need for a cons etc a will exit.

 

(defun c:linepts ( / pt1 pt2)
(setq pt1 (getpoint "Pick base point"))
(while (setq pt2 (getpoint "pick next point <Cr> to exit "))
(command "line" pt1 pt2 "")
)
)
(c:linepts)

Link to comment
Share on other sites

BIGAL. Thanks for another alternative.

Before posting here, I considered before if the central point should come first or last. I choose last as it allows more flexibility to place the central point as it needs to be in relations to the other clicks.

Link to comment
Share on other sites

tive29, study the variable BLIPMODE... Second Tharwat's code is just fine, just implement BLIPMODE inside code (use getvar to store default value at the beginning, set it to 1, and at the end restore stored value from beginning)...

 

Thanks for the suggestion. :)

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...